import { MutableModelConfigSource } from './mutable-model-config-source.js';
import { type RemoteConfigSchema } from '../../schema/model/remote/remote-config-schema.js';
import { type Refreshable } from '../spi/refreshable.js';
import { type ObjectMapper } from '../../mapper/api/object-mapper.js';
import { type ObjectStorageBackend } from '../../backend/api/object-storage-backend.js';
import { type RemoteConfigSchemaDefinition } from '../../schema/migration/impl/remote/remote-config-schema-definition.js';
export declare class RemoteConfigSource extends MutableModelConfigSource<RemoteConfigSchema> implements Refreshable {
    constructor(schema: RemoteConfigSchemaDefinition, mapper: ObjectMapper, backend: ObjectStorageBackend);
    get name(): string;
    get ordinal(): number;
    refresh(): Promise<void>;
    setModelData(remoteConfig: RemoteConfigSchema): void;
}
